"""convert capability request argument to JSON

Revision ID: 25add553c317
Revises: e50583fc2a8e
Create Date: 2021-03-04 16:55:41.512834

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "25add553c317"
down_revision = "e50583fc2a8e"
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column(
        "capability_requests",
        "parameters",
        type_=sa.JSON,
        postgresql_using="parameters::json",
    )
    op.alter_column(
        "capability_versions",
        "parameters",
        type_=sa.JSON,
        postgresql_using="parameters::json",
    )


def downgrade():
    op.alter_column("capability_requests", "parameters", type_=sa.String)
    op.alter_column("capability_versions", "parameters", type_=sa.String)
